#ifndef LABEL_H_
#define LABEL_H_

#include <string>
#include <set>

namespace cosi
{

class Label
{
	std::multiset<std::string> mQnames ;
public:
	Label();
	virtual ~Label();
	std::multiset<std::string> GetQuantityNames( ) ;
	bool HasQuantity( std::string pName);
	void AddQuantityName(std::string pName) ;
	virtual std::string Print() = 0 ;
};

}

#endif /*LABEL_H_*/
